<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Transaction..::.SetLockTimeout Method
Transaction Class See Also Send Feedback

Set the timeout value for locks for this transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void SetLockTimeout(
    	uint timeout
    )

Visual Basic (Declaration)

    Public Sub SetLockTimeout ( _
    	timeout As UInteger _
    )

Visual C++

    public:
    void SetLockTimeout(
    	unsigned int timeout
    )

#### Parameters

timeout
  Type: System..::.UInt32
  An unsigned 32-bit number of microseconds, limiting the maximum timeout to roughly 71 minutes. A value of 0 disables timeouts for the transaction.

# Remarks

Timeouts are checked whenever a thread of control blocks on a lock or when deadlock detection is performed. This timeout is for any single lock request. As timeouts are only checked when the lock request first blocks or when deadlock detection is performed, the accuracy of the timeout depends on how often deadlock detection is performed.

Timeout values may be specified for the database environment as a whole. See LockTimeout for more information.

# See Also

Transaction Class
BerkeleyDB Namespace